post/customer/disable?customerId=<CUSTOMER_ID>

Toggle Status

Suspend or reactivate a customer's account.

Authentication required: Bearer Token in Authorization header.

Parameters

customerIdrequired
string (query)

ID of the customer

e.g. <CUSTOMER_ID>
Idempotency-Key
string (header)

Client-generated unique key making a mutating request idempotent. Replaying a request with the same key returns the original result instead of duplicating side effects. Optional on POST/PUT/PATCH/DELETE.

e.g. <IDEMPOTENCY-KEY>

Responses

200Customer status toggled successfully

Response Body (200)

action
string
status
boolean
message
string
code
integer
Request Example
curl -X POST "https://api.keymint.dev/customer/disable?customerId=%3CCUSTOMER_ID%3E" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
Response (200 OK)
{
  "action": "toggleActive",
  "status": true,
  "message": "Customer disabled",
  "code": 0
}